Docs

Trigger a Selective release

POST
/cc-ui/v1/clusters/{clusterID}/deployments/recipes/deployment/hotfix
AuthorizationBasic <token>

In: header

Path Parameters

clusterID*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

text/plain

application/json

text/plain

curl -X POST "https://facetsdemo.console.facets.cloud/cc-ui/v1/clusters/string/deployments/recipes/deployment/hotfix" \  -H "Content-Type: application/json" \  -d '{}'
"{\n  \"appDeployments\": [\n    {\n      \"appName\": \"string\",\n      \"artifact\": {\n        \"applicationName\": \"string\",\n        \"artifactUri\": \"string\",\n        \"artifactory\": \"string\",\n        \"buildDescription\": \"string\",\n        \"buildId\": \"string\",\n        \"clusterId\": \"string\",\n        \"createdBy\": \"string\",\n        \"createdOn\": \"2022-06-30T05:20:25.347Z\",\n        \"creationDate\": \"2022-06-30T05:20:25.347Z\",\n        \"id\": \"string\",\n        \"lastModifiedBy\": \"string\",\n        \"lastModifiedDate\": \"2022-06-30T05:20:25.347Z\",\n        \"numberOfVersions\": 0,\n        \"promoted\": true,\n        \"releaseStream\": \"QA\",\n        \"releaseType\": \"HOTFIX\",\n        \"versioningKey\": \"string\"\n      }\n    }\n  ],\n  \"changesApplied\": [\n    {\n      \"resourceKey\": \"string\",\n      \"resourcePath\": \"string\",\n      \"type\": \"Destruction\"\n    }\n  ],\n  \"codebuildId\": \"string\",\n  \"createdOn\": \"2022-06-30T05:20:25.347Z\",\n  \"deploymentContextVersion\": \"string\",\n  \"deploymentJobType\": \"CODEBUILD\",\n  \"deploymentType\": \"REGULAR\",\n  \"description\": \"string\",\n  \"destroy\": true,\n  \"errorLogs\": [\n    \"string\"\n  ],\n  \"finishedOn\": \"2022-06-30T05:20:25.347Z\",\n  \"id\": \"string\",\n  \"integrationTest\": true,\n  \"overrideBuildSteps\": [\n    \"string\"\n  ],\n  \"releaseType\": \"HOTFIX\",\n  \"signedOff\": true,\n  \"stackVersion\": \"string\",\n  \"status\": \"SUCCEEDED\",\n  \"statusDeprecated\": \"SUCCEEDED\",\n  \"tfVersion\": \"string\",\n  \"triggeredBy\": \"string\",\n  \"validationResult\": {\n    \"errors\": [\n      {\n        \"error\": \"string\",\n        \"filename\": \"string\"\n      }\n    ],\n    \"valid\": true\n  },\n  \"withRefresh\": true\n}"
"{\"Created\"}"
""
"{\n  \"message\": \"A deployment is already in progress\",\n  \"code\": \"403\"\n}"
""